def show_byte_matrix(char, matrix):
	print(f'byte_matrix: char({char})')
	matrix_str = [f'0x{byte:02X}' for byte in matrix]
	[print(f'{matrix_str[idx]} {number_to_bitarray_msb(byte)}') for idx, byte in enumerate(matrix)]


def number_to_bitarray_msb(number, bits=8):
	"""Convert 8/16-bit number to bit array (MSB first)"""
	return [(number >> i) & 1 for i in range(bits - 1, -1, -1)]
